Topic
  • 3 replies
  • Latest Post - ‏2013-10-23T02:43:11Z by YangWeiWei
Jon40084
Jon40084
2 Posts

Pinned topic BI 2.1 Install Failed

‏2013-06-25T10:08:01Z |

Hi,

I'm trying to install BigInsights 2.1 on Red Hat 6.4. I'm getting the following error ( I've replaced my hostname with xxxxx.com )

 

[INFO] Progress - 25%
[ERROR] @xxxxx.com - java.lang.Exception
    at com.ibm.xap.mgmt.util.TaskRunner.run(TaskRunner.java:65)
    at com.ibm.xap.mgmt.hdm.HadoopMgmtFacade.deploy(HadoopMgmtFacade.java:389)
    at com.ibm.xap.mgmt.hdm.HadoopMgmtFacade.deploy(HadoopMgmtFacade.java:414)
    at com.ibm.xap.mgmt.hdm.HadoopMgmtFacade.deployForceAll(HadoopMgmtFacade.java:364)
    at com.ibm.xap.mgmt.hdm.HadoopMgmtCmdline.run(HadoopMgmtCmdline.java:110)
    at com.ibm.xap.mgmt.hdm.HadoopMgmtCmdline.main(HadoopMgmtCmdline.java:36)

java.io.IOException: Failed to deploy jdk to xxxxx.com:/opt/ibm/biginsights/jdk, please check login shell on this node, if it's not bash, try edit /etc/passwd or use chsh to change to bash Detail error: null
    at com.ibm.xap.mgmt.hdm.DeployTask.deployPackage(DeployTask.java:200)
    at com.ibm.xap.mgmt.hdm.DeployTask.doTask(DeployTask.java:80)
    at com.ibm.xap.mgmt.util.Task.run(Task.java:77)
    at com.ibm.xap.mgmt.util.TaskRunner$1.run(TaskRunner.java:52)
com.ibm.xap.mgmt.DeployException:  -- xxxxx.com=255 (java.io.IOException: Failed to deploy jdk to xxxxx.com:/opt/ibm/biginsights/jdk, please check login shell on this node, if it's not bash, try edit /etc/passwd or use chsh to change to bash Detail error: null
    at com.ibm.xap.mgmt.hdm.DeployTask.deployPackage(DeployTask.java:200)
    at com.ibm.xap.mgmt.hdm.DeployTask.doTask(DeployTask.java:80)
    at com.ibm.xap.mgmt.util.Task.run(Task.java:77)
    at com.ibm.xap.mgmt.util.TaskRunner$1.run(TaskRunner.java:52)
)
    at com.ibm.xap.mgmt.hdm.HadoopMgmtFacade.calculateResult(HadoopMgmtFacade.java:2316)
    at com.ibm.xap.mgmt.hdm.HadoopMgmtFacade.calculateResult(HadoopMgmtFacade.java:2265)
    at com.ibm.xap.mgmt.hdm.HadoopMgmtFacade.deploy(HadoopMgmtFacade.java:390)
    at com.ibm.xap.mgmt.hdm.HadoopMgmtFacade.deploy(HadoopMgmtFacade.java:414)
    at com.ibm.xap.mgmt.hdm.HadoopMgmtFacade.deployForceAll(HadoopMgmtFacade.java:364)
    at com.ibm.xap.mgmt.hdm.HadoopMgmtCmdline.run(HadoopMgmtCmdline.java:110)
    at com.ibm.xap.mgmt.hdm.HadoopMgmtCmdline.main(HadoopMgmtCmdline.java:36)
[FATAL] deploy failed
 

I have checked that both biadmin and root both have /bin/bash defined as default shell.

 

Would appreciate any help.

Many thanks.

regards Jon

  • YangWeiWei
    YangWeiWei
    72 Posts

    Re: BI 2.1 Install Failed

    ‏2013-06-25T10:30:02Z  

    Hello 

    That might because when the installer sync cluster time, somehow the modification time for all dirs are changed unexpectly. Could you please try following workaround ?

    Open file $where_u_exract_image/installer/hdm/bin/hdm-install-inplace.sh

    command out following lines

    # sync time among all machines
    #info "Progress - Synchronizing system time"
    #$home/bin/hdm -progress=$PROGRESS_FROM,$PROGRESS_TO synctime 1>&2
    #[ $? -eq 0 ] || warn "synctime failed"

    then save and retry.

     

     
  • Jon40084
    Jon40084
    2 Posts

    Re: BI 2.1 Install Failed

    ‏2013-06-26T14:36:06Z  

    Many thanks - I managed to trash my VM ( not purposely ) and seem to no longer have this problem having built a new VM.

  • YangWeiWei
    YangWeiWei
    72 Posts

    Re: BI 2.1 Install Failed

    ‏2013-10-23T02:43:11Z  

    It also might because the disk I/O speed is configured incorrectly on the system, or network speed is too slow.